package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.itextpdf.text.Chunk;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Font;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Date;
import java.util.Random;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/RentConfirmDownAction.class */
public class RentConfirmDownAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        try {
            String letterRentAmt = (String) context.getDataValue("letterRentAmt");
            context.getDataValue("guaAmt");
            String confirmSheetNo = (String) context.getDataValue("confirmSheetNo");
            String confirmSheetPath = (String) context.getDataValue("confirmSheetPath");
            String financeName = (String) context.getDataValue("financeName");
            String creGuaName = (String) context.getDataValue("creGuaName");
            String corName = (String) context.getDataValue("corName");
            context.getDataValue("pciTotalAmt");
            String pciUsedAmt = (String) context.getDataValue("pciUsedAmt");
            String pciUseAmt = (String) context.getDataValue("pciUseAmt");
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy");
            Date dataYear = new Date();
            String year = sdf.format(dataYear);
            if (StringUtils.isNotBlank(confirmSheetPath)) {
                int y1 = confirmSheetPath.indexOf("（");
                int y2 = confirmSheetPath.indexOf("）");
                year = confirmSheetPath.substring(y1 + 1, y2);
                int s1 = confirmSheetPath.lastIndexOf("（");
                int s2 = confirmSheetPath.lastIndexOf("）");
                confirmSheetNo = confirmSheetPath.substring(s1 + 1, s2);
            }
            String fileName = "信保租（" + year + "）第（" + confirmSheetNo + "）号.pdf";
            String rootPath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
            String folder = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000000000) + LifeFile.DIR_SEPARATOR;
            LifeFile.makeMultiDirectory(rootPath, folder);
            String filePath = String.valueOf(rootPath) + folder + fileName;
            Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
            PdfWriter pdfw = null;
            try {
                try {
                    pdfw = PdfWriter.getInstance(document, new FileOutputStream(filePath));
                    document.open();
                    BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                    Font fontChi_nl_12 = new Font(bfChi, 12.0f, 0);
                    Font fontChi_nl_14 = new Font(bfChi, 14.0f, 0);
                    Font fontChi_bd = new Font(bfChi, 16.0f, 1);
                    new Font(bfChi, 12.0f, 4);
                    Font fontChi_bd_ul_14 = new Font(bfChi, 14.0f, 4);
                    Paragraph prh = new Paragraph();
                    prh.setAlignment(0);
                    prh.setSpacingAfter(15.0f);
                    document.add(prh);
                    Paragraph prh2 = new Paragraph("信保额度确认函", fontChi_bd);
                    prh2.setAlignment(1);
                    prh2.setSpacingAfter(8.0f);
                    document.add(prh2);
                    Paragraph prh3 = new Paragraph("编号：          苏再担“信保租”（  " + year + "  ）第（   " + confirmSheetNo + "  ）号", fontChi_nl_14);
                    prh3.setAlignment(0);
                    prh3.setSpacingAfter(8.0f);
                    document.add(prh3);
                    Paragraph prh4 = new Paragraph("");
                    prh4.setAlignment(0);
                    prh4.setSpacingAfter(8.0f);
                    document.add(prh4);
                    Paragraph prh5 = new Paragraph();
                    Chunk chunk = new Chunk(financeName, fontChi_bd_ul_14);
                    prh5.add(chunk);
                    Chunk chunk2 = new Chunk("、", fontChi_nl_14);
                    prh5.add(chunk2);
                    prh5.setSpacingAfter(8.0f);
                    document.add(prh5);
                    Paragraph prh6 = new Paragraph();
                    Chunk chunk_name = new Chunk(creGuaName, fontChi_bd_ul_14);
                    Chunk chunk3 = new Chunk("：", fontChi_nl_12);
                    prh6.add(chunk_name);
                    prh6.add(chunk3);
                    prh6.setSpacingAfter(8.0f);
                    document.add(prh6);
                    Paragraph prh7 = new Paragraph("");
                    Chunk chunk4 = new Chunk("          ", fontChi_nl_14);
                    prh7.add(chunk4);
                    Chunk chunk5 = new Chunk("经我司核查，借款人", fontChi_nl_14);
                    prh7.add(chunk5);
                    Chunk chunk6 = new Chunk(corName, fontChi_bd_ul_14);
                    prh7.add(chunk6);
                    Chunk chunk7 = new Chunk("“信保租”授信额度已领用", fontChi_nl_14);
                    prh7.add(chunk7);
                    Chunk chunk8 = new Chunk(pciUsedAmt, fontChi_bd_ul_14);
                    prh7.add(chunk8);
                    Chunk chunk9 = new Chunk("万元，剩余可领用授信额度为", fontChi_nl_14);
                    prh7.add(chunk9);
                    Chunk chunk10 = new Chunk(pciUseAmt, fontChi_bd_ul_14);
                    prh7.add(chunk10);
                    Chunk chunk11 = new Chunk("万元。", fontChi_nl_14);
                    prh7.add(chunk11);
                    Chunk chunk12 = new Chunk("本次贵行申请为该公司领用“信保股权投资”授信额度", fontChi_nl_14);
                    prh7.add(chunk12);
                    Chunk chunk13 = new Chunk(letterRentAmt, fontChi_bd_ul_14);
                    prh7.add(chunk13);
                    Chunk chunk14 = new Chunk("万元，根据信保股权投资对单个企业的授信额度最高不超过人民币500万元的要求，本次领用后该客户授信额度未超过信保股权投资最高授信限额。", fontChi_nl_14);
                    prh7.add(chunk14);
                    document.add(prh7);
                    Paragraph prh8 = new Paragraph("          本函一式贰份，一份报送租赁公司，一份报送合作担保（保险）公司。", fontChi_nl_14);
                    prh8.setAlignment(0);
                    prh8.setSpacingAfter(8.0f);
                    document.add(prh8);
                    Paragraph prh9 = new Paragraph("          本 函自出具之日起三十日内有效。", fontChi_nl_14);
                    prh9.setAlignment(0);
                    prh9.setSpacingAfter(160.0f);
                    document.add(prh9);
                    Paragraph prh10 = new Paragraph("苏州市信用再担保有限公司", fontChi_nl_14);
                    prh10.setAlignment(2);
                    prh10.setSpacingAfter(8.0f);
                    document.add(prh10);
                    Paragraph prh11 = new Paragraph("    年        月       日", fontChi_nl_14);
                    prh11.setAlignment(2);
                    prh11.setSpacingAfter(8.0f);
                    document.add(prh11);
                    document.close();
                    pdfw.flush();
                    pdfw.close();
                    context.put("confirmSheetNo", confirmSheetNo);
                    context.put("confirmSheetPath", filePath);
                    return "0";
                } finally {
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                }
            } catch (DocumentException e) {
                Trace.log("LifeFile", "信保额度确认函模板文件创建失败");
                throw e;
            } catch (FileNotFoundException e2) {
                Trace.log("LifeFile", "文件" + filePath + "未找到");
                throw e2;
            } catch (IOException e3) {
                Trace.log("LifeFile", "文件" + filePath + "I/O失败");
                throw e3;
            }
        } catch (Exception e4) {
            Trace.logError("LifeAction", "RZPT90003:租赁信保额度确认函模板下载处理出错", e4);
            throw new TranFailException("RZPT90003", "租赁信保额度确认函模板下载处理出错", false);
        }
    }
}
